datablock AudioProfile(trafficImpactSound)
{
	filename = "./impact.wav";
	description = AudioClosest3d;
	preload = true;
};

datablock ExplosionData(trafficExplosion)
{
    sound = trafficImpactSound;

    debris = "";
    debrisNum = 5;
    debrisNumVariance = 0;
    debrisPhiMin = 0;
    debrisPhiMax = 360;
    debrisThetaMin = 0;
    debrisThetaMax = 20;
    debrisVelocity = 18;
    debrisVelocityVariance = 3;
    lifeTimeMs = 1500;
    radiusDamage = 15;
    damageRadius = 5;

   impulseRadius = 5;
   impulseForce = 14;
};


AddDamageType("CarDirect",   '<bitmap:add-ons/Effect_Traffic/CI_car> %1',    '%2 <bitmap:add-ons/Effect_Traffic/CI_car> %1',1,1);
datablock ProjectileData(traffic1Projectile)
{
   projectileShapeName = "./Shapes/Cordillera.dts";
   explosion           = "trafficExplosion";
   bounceExplosion     = "";
   particleEmitter     = "";
   explodeOnDeath = true;

   brickExplosionRadius = 0;
   brickExplosionImpact = 0;             //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;             
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "GWC_EngineLoop";

   muzzleVelocity      = 55;
   velInheritFactor    = 1.0;

   armingDelay         = 10000;
   lifetime            = 100000;
   fadeDelay           = 2500;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.0;
   isBallistic         = false;
   gravityMod          = 0.0;

   directDamageType = $DamageType::CarDirect;
   directDamage        = 100;      
   impactImpulse      = 500;                             

   hasLight    = true;
   light	= CordilleraHeadLight;

   uiName = "Traffic - Cordillera"; 
};

datablock ProjectileData(traffic2Projectile)
{
   projectileShapeName = "./Shapes/Hydric.dts";
   explosion           = "trafficExplosion";
   bounceExplosion     = "";
   particleEmitter     = "";
   explodeOnDeath = true;

   brickExplosionRadius = 0;
   brickExplosionImpact = 0;             //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;             
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "GWC_EngineLoop";

   muzzleVelocity      = 55;
   velInheritFactor    = 1.0;

   armingDelay         = 10000;
   lifetime            = 100000;
   fadeDelay           = 2500;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.0;
   isBallistic         = false;
   gravityMod          = 0.0;

   directDamageType = $DamageType::CarDirect;
   directDamage        = 100;      
   impactImpulse      = 500;        

   hasLight    = true;
   light	= CordilleraHeadLight;

   uiName = "Traffic - Hydric"; 
};

datablock ProjectileData(traffic3Projectile)
{
   projectileShapeName = "./Shapes/Shogun.dts";
   explosion           = "trafficExplosion";
   bounceExplosion     = "";
   particleEmitter     = "";
   explodeOnDeath = true;

   brickExplosionRadius = 0;
   brickExplosionImpact = 0;             //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;             
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "GWC_EngineLoop";

   muzzleVelocity      = 55;
   velInheritFactor    = 1.0;

   armingDelay         = 10000;
   lifetime            = 100000;
   fadeDelay           = 2500;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.0;
   isBallistic         = false;
   gravityMod          = 0.0;

   directDamageType = $DamageType::CarDirect;
   directDamage        = 100;      
   impactImpulse      = 500;         

   hasLight    = true;
   light	= CordilleraHeadLight;

   uiName = "Traffic - Shogun"; 
};

datablock ProjectileData(traffic4Projectile)
{
   projectileShapeName = "./Shapes/AseedVehicle.dts";
   explosion           = "trafficExplosion";
   bounceExplosion     = "";
   particleEmitter     = "";
   explodeOnDeath = true;

   brickExplosionRadius = 0;
   brickExplosionImpact = 0;             //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;             
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "GWC_EngineLoop";

   muzzleVelocity      = 55;
   velInheritFactor    = 1.0;

   armingDelay         = 10000;
   lifetime            = 100000;
   fadeDelay           = 2500;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.0;
   isBallistic         = false;
   gravityMod          = 0.0;

   directDamageType = $DamageType::CarDirect;
   directDamage        = 100;      
   impactImpulse      = 500;          

   hasLight    = true;
   light	= CordilleraHeadLight;

   uiName = "Traffic - Aseed"; 
};